MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > GeometryClass : Node > Geometry - Extended Objects >

# Hose - superclass: GeometryClass

    Hose - superclass: GeometryClass; super-superclass:node - 27:0 - classID: #(1777953373, 593249034)

Value > MAXWrapper > Node > GeometryClass > Hose

| Geometry Objects - Quick Navigation

The Hose object is a flexible object that you can connect between two objects, whereupon it reacts to their movement.

It's similar to Spring, but does not have dynamics properties.

You can specify the overall diameter and length of the hose, the number of turns, and the diameter and shape of its "wire."

Constructor:

    Hose ...

Properties:

    <Hose>.End_Placement_Method Integer default: 1 -- integer

Get/set the End Placement Method.

Possible values are:

1 - Free Hose (default)

2 - Bound To Object Pivots

    <Hose>.Generate_Mapping_Coordinates Integer default: 0 -- integer

When set to 1, sets up required coordinates for applying mapped materials to the hose. Default is off (0).

    <Hose>.Hose_Height Float default: 1.0 -- animatable; float

Use this field/spinner to set the straight-line height or length of the hose when it is not bound. This is not the actual length of the hose. Available only when Free Hose is chosen.

    <Hose>.Segments_Along_Hose Integer default: 45 -- animatable; integer

The total number of segments in the hose's length. Increase this setting for a smooth profile when the hose is curved.

    <Hose>.Smooth_Spring Integer default: 0 -- integer

Choose one of the following smoothing options:

0 - All: The entire hose is smoothed.

1 - Sides: Smoothing is applied along the length of the hose but not around its circumference.

2 - None: No smoothing is applied.

3 - Segments: Smoothing is applied only on the inner section of the hose.

    <Hose>.Renderable_Hose Integer default: 1 -- integer

When 1 (on ), the hose is rendered using the specified settings.

When 0(off), the hose is not rendered.

Default=1 (on).

    <Hose>.Hose_Cross_Section_Type Integer default: 0 -- integer

Sets a circular cross-section.

Lets you specify different settings for width and depth.

Similar to Rectangular Hose, but rounds one side for a D-shaped cross-section.

    <Hose>.Round_Hose_DiameterFloat default: 0.2 -- animatable; float

The maximum width of the hose at the ends.

    <Hose>.Round_Hose_Sides Integer default: 8 -- animatable; integer

The number of sides of the hose.

A Sides setting of 3 gives a triangular cross-section; 4 gives a square cross-section; and 5 gives a pentagonal cross-section.

Increase Sides for a circular cross-section.

    <Hose>.Rectangular_Hose_Width Float default: 0.2 -- animatable; float

The width of the hose.

    <Hose>.Rectangular_Hose_Depth Float default: 0.2 -- animatable; float

The height of the hose.

    <Hose>.Rectangular_Hose_Fillet_Size Float default: 0.0 -- animatable; float

The amount by which the cross-section corners are rounded.

For this to be visible, Fillet Segs must be set to 1 or higher.

Default=0.

    <Hose>.Rectangular_Hose_Fillet_Segs Integer default: 0 -- animatable; integer

The number of segments across each filleted corner.

A Fillet Segs setting of 1 cuts the corner straight across; use higher settings for rounded corners.

Default=0.

    <Hose>.Rectangular_Hose_Section_Rotation Float default: 0.0 -- animatable; angle

The orientation of the hose along its long axis.

Default=0.

    <Hose>.D_Section_Hose_Width Float default: 0.2 -- animatable; float

The width of the hose.

    <Hose>.D_Section_Hose_Depth Float default: 0.2 -- animatable; float

The height of the hose.

    <Hose>.D_Section_Hose_Fillet_SizeFloat default: 0.0 -- animatable; float

The amount by which the two cross-section corners opposite the rounded side are rounded.

For this to be visible, Fillet Segs must be set to 1 or higher.

Default=0.

    <Hose>.D_Section_Hose_Fillet_Segs Integer default: 0 -- animatable; integer

The number of segments across each filleted corner.

A Fillet Segs setting of 1 cuts the corner straight across; use higher settings for rounded corners.

Default=0.

    <Hose>.D_Section_Hose_Round_Segs Integer default: 8 -- animatable; integer

The number of segments on the rounded side. Increase for a smoother profile.

Default=4.

    <Hose>.D_Section_Hose_Section_Rotation Float default: 0.0 -- animatable; angle

The orientation of the hose along its long axis.

Default=0.

    <Hose>.Flex_Section_Enabled Integer default: 1 -- integer

When on, lets you set the following four parameters for the central, flexible section of the hose.

When off, the hose's diameter is uniform throughout its length.

    <Hose>.Flex_Section_Start Float default: 10.0 -- animatable; percentage

The percentage of the hose length from the starting extremity of the hose at which the flex section begins.

By default, the starting end of the hose is the end at which the object pivot appears.

Default=10%.

    <Hose>.Flex_Section_Stop Float default: 90.0 -- animatable; percentage

The percentage of the hose length from the end extremity of the hose at which the flex section begins.

By default, the end extremity of the hose is opposite the end at which the object pivot appears.

Default=90%.

    <Hose>.Flex_Cycle_Count Integer default: 5 -- animatable; integer

The number of corrugations in the flex section.

The number of visible cycles is limited by the number of segments; if Segments isn't high enough to support the number of cycles, then not all cycles will appear.

Tip: To set the appropriate number of segments, first set Cycles, and then increase Segments until the number of visible cycles stops changing.

    <Hose>.Flex_Section_Diameter Float default: -20.0 -- animatable; percentage

The relative width of the "outside" parts of the cycles.

At negative settings, these are smaller than the overall hose diameter.

At positive settings, these are larger than the overall hose diameter.

Default=-20%. Range=-50% to 500%.

    <Hose>.Top_Tension Float default: 100.0 -- animatable; float

Determines the arc of the hose near the Top object.

Lower the tension to decrease the arc, and raise the tension to increase the arc.

Default=100.

    <Hose>.Bottom_Tension Float default: 100.0 -- animatable; float

Determines the arc of the hose near the Bottom object.

Lower the tension to decrease the arc, and raise the tension to increase the arc.

Default=100.

#### See Also

- GeometryClass Common Properties, Operators, and Methods

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods